MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Enumerations | Functions
MixerType.hxx File Reference

Go to the source code of this file.

## Enumerations
enum | MixerType { MixerType::UNKNOWN, MixerType::NONE, MixerType::NULL_, MixerType::SOFTWARE, MixerType::HARDWARE }

## Functions
MixerType | mixer_type_parse (const char *input)
| Parses a MixerType setting from the configuration file. More...

## Enumeration Type Documentation

enum MixerType
| strong

Enumerator
UNKNOWN | parser error
NONE | mixer disabled
NULL_ | "null" mixer (virtual fake)
SOFTWARE | software mixer with pcm_volume()
HARDWARE | hardware mixer (output's plugin)

Definition at line 23 of file MixerType.hxx.

## Function Documentation

MixerType mixer_type_parse | ( | const char * | input | ) |

Parses a MixerType setting from the configuration file.

Parameters

  input | the configured string value; must not be NULL

Returns
  a MixerType value; MixerType::UNKNOWN means #input could not be parsed